## zope2.13 2.13.21

=== debian/changelog ===
zope2.13 (2.13.21-1ubuntu1) trusty; urgency=medium

  * Fix installation of README file.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Apr 2014 09:55:51 +0200

zope2.13 (2.13.21-1) unstable; urgency=high

  * New upstream release fixing security issues.
  * debian/control:
    + Make Vcs-Svn URI canonical.
  * debian/zopeZVER-sandbox.templates.in:
    + Fix lintian error as it expects 'for internal use', not 'Internal use'
      for debconf fields not intended for users to see.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 11 Sep 2013 16:39:52 +0900

zope2.13 (2.13.20-1) unstable; urgency=low

  [ Jonas Meurer ]
  * New major upstream release (2.13).
    - Update build scripts for Zope2.13.
    - Bump python version from 2.6 to 2.7.
    - Remove obsolete patch Zope2-remove_documenttemplate_release_script.patch
    - Update remaining patches.
  * Update Homepage field to point to correct page http://zope2.zope.org/.

  [ Arnaud Fontaine ]
  * Python 2.6 is going to be removed, so update asserts on Python version.
  * debian/control: bump Standards-Version to 3.9.4. No changes needed.
  * New major upstream release (2.13).
    + debian/control: update Vcs-* fields URL.
    + debian/patches/use-python-initgroups.patch:
      - Use os.initgroups (>= 2.7) rather than relying on a third-party
        module, keep it in DEB_SATISFIED as it is included in versions.cfg.
  * Ignore egg-info directory and setup.cfg in debian/source/options to avoid
    diff of files in this directory.
  * Call clean in distclean Makefile target to remove build directory even when
    only distclean target is called.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 28 May 2013 12:41:39 +0900

zope2.12 (2.12.26-1) unstable; urgency=high

  * New upstream release. Closes: #692899.
    + Fix Reflexive HTTP header injection (CVE-2012-5486).
    + Fix Timing attack in password validation (CVE-2012-5507).
    + Fix PRNG which wasn't reseeded (CVE-2012-5508).
  * debian/patches/CVE-2012-5505.patch:
    + Fix Attempting to access a view with no name returns an internal
      data structure (CVE-2012-5505). Thanks to Tres Seaver. Closes: #692899.
  * debian/control:
    + Bump zope.common required version as the debconf template
      has been updated. Closes: #656552.
  * debian/rules:
    + As dh_python (>= 2.7.3-1) rewrites shebangs by default, overriding
      dh_auto_install to fix shebangs does not work anymore as dh_python2 is
      called afterwards, instead use dh_python2 to rewrite them.
      - debian/control: bump python Build-Depends.
      - Drop now useless ZODB3-fix_shebang.patch.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 06 Mar 2013 18:46:14 +0900

zope2.12 (2.12.23-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bump Standards-Version to 3.9.3.
    + debian/copyright: update Format URL.
  * debian/watch: fix missing version delimiters in filename pattern.

 -- Arnaud Fontaine <arnau@debian.org>  Thu, 14 Jun 2012 09:44:20 +0900

zope2.12 (2.12.22-1) unstable; urgency=low

  * New upstream release (2.12.22)
    - Fixes cross-site-scripting attack (CVE-2010-1104).
    - Remove patch Zope2-fix_serious_authentication_vulnerability.patch,
      now incorporated upstream.

 -- Jonas Meurer <mejo@debian.org>  Thu, 19 Jan 2012 01:28:13 +0100

zope2.12 (2.12.20-3) unstable; urgency=low

  * Remove ClientForm from DEB_SATISFIED as it's going to be dropped soonish.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 16 Dec 2011 14:20:35 +0900

zope2.12 (2.12.20-2) unstable; urgency=high

  * Update Homepage field to point to correct page http://zope2.zope.org/.
  * Change Depends on zope-common from (>= 0.5.51) to (>= 0.5.51~), to ease
    backports to squeeze.
  * Add debian/patches/Zope2-fix_serious_authentication_vulnerability.patch,
    fixing a serious authentication vulnerability in stock configuration.
    No CVE number assigned yet.
    See https://mail.zope.org/pipermail/zope-dev/2011-October/043592.html
    for further information.
  * Set urgency=high in order to push the security fix to testing.

 -- Jonas Meurer <mejo@debian.org>  Fri, 28 Oct 2011 13:51:41 +0200

zope2.12 (2.12.20-1) unstable; urgency=low

  * Zope 2.12.20 release.

  [ Gael Le Mignot ]
  * Allowing to install eggs in lib/python of instances.

  [ Jonas Meurer ]
  * Remove Zope eggs from dependencies in debian/control, and from
    DEB_SATISFIED in debian/rules. All Zope dependencies are shipped
    with the local tarball. See README.source for further information.
  * Add python distribute modules to list of DEB_SATISFIED modules.
  * Remove python-transaction from depends and from DEB_SATISFIED. It's
    a zope module and should be included in the zope2.12 binary package.
  * Add python2.6 package to list of dependencies.
  * Major update and reformating of debian/copyright.
  * Bump standards-version to 3.9.2, no changes required.
  * Remove Suggests on zope-zopebook and zope-devguide. Neither of them are
    available in Debian archives.
  * Remove unused debian/patches/fix_lib_location.patch.
  * Enable and rename debian/patches/ZODB3-fix-shebang.patch.
  * Lintian overrides:
    - Remove unused lintian overrides package-contains-empty-directory and
      file-in-unusual-dir
    - Add lintian override wrong-path-for-interpreter for python wrapper
  * Add debian/README.source to explain the current packaging approach.
  * Install the upstream changelogs to /usr/share/doc/zope2.12/changelogs.
  * Remove upstream LICENSE.txt in eggs from zope2.12 binary package.
  * Remove scripts from EGG-INFO subfolders in zope2.12 binary package.
  * Add versions to dependencies on python modules for zope2.12 package.
  * Fix debian/build-scripts/fetch.py to lowercase dependency names before
    checking for them. gen_versions_cfg.py already writes lowercased names.
    Thanks to Michael Mulich for help with investigation.
  * Remove Michael Mulich from Uploaders field.
  * Migrate the package from dh_pysupport to dh_python2.

