=== debian/control ===
Source: zope2.13
Section: zope
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Jonas Meurer <mejo@debian.org>,
           Arnaud Fontaine <arnau@debian.org>
Build-Depends: debhelper (>= 7.0.50~), lsb-release, python (>= 2.7.3-1~),
               python2.7-dev, python-setuptools,
               python-pkg-resources, python-pip (>= 0.8),
               zope-debhelper (>= 0.3.12)
Standards-Version: 3.9.4
X-Python-Version: 2.7
Homepage: http://zope2.zope.org/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-zope/zope2.13/trunk
Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zope2.13/trunk

Package: zope2.13
Architecture: any
Pre-Depends: zope-common (>= 0.5.52~)
Depends: lsb-base, ${shlibs:Depends}, debconf | debconf-2.0, ${misc:Depends},
         ${python:Depends},
         python-docutils (>= 0.7), python-mechanize (>= 0.1.11),
         python-pkg-resources (>= 0.6.16-1.1) | 
         python-pkg-resources (<< 0.6.15), python-tz
Provides: zope
Suggests: python-unit, python-profiler
Description: Open Source Web Application Server
 Zope is an open source web application server primarily written in
 the Python programming language. It features a transactional object
 database which can store not only content and custom data, but also
 dynamic HTML templates, scripts, a search engine, and relational
 database (RDBMS) connections and code.
 .
 It features a strong through-the-web development model, allowing you
 to update your web site from anywhere in the world. To allow for
 this, Zope also features a tightly integrated security model. Built
 around the concept of "safe delegation of control", Zope's security
 architecture also allows you to turn control over parts of a web site
 to other organizations or individuals.
 .
 This package contains the framework and libraries needed to run your
 own Zope 2.13 instance.

Package: zope2.13-sandbox
Architecture: all
Depends: debconf | debconf-2.0, ${misc:Depends}, ${zope:Depends}
Description: sandbox instance for the zope2.13 web application server
 This package creates a "sandbox" instance, getting all Zope
 products and packages available which are installed as Debian packages.
 .
 The sandbox is usable for development and testing. For production
 please setup your own Zope 2.13 instance using dzhandle utility.
