## zope2.13 2.13.22

=== debian/changelog ===
zope2.13 (2.13.22-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Fix installation of README file, fixes FTBFS.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 04 Jan 2015 02:14:48 +0100

zope2.13 (2.13.22-1) unstable; urgency=medium

  * New upstream release.
    + debian/patches/use-python-initgroups.patch: Refreshed.
    + debian/build-scripts/gen_versions_cfg.py:
      - Handle relative extends file when parsing buildout recipe (versions)
        for generating versions for source tarball, previously was an
        absolute URL.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 11 Jun 2014 14:13:48 +0900
