=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zope2.13
 Section: zope
 Priority: optional
-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Jonas Meurer <mejo@debian.org>,
            Arnaud Fontaine <arnau@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), lsb-release, python (>= 2.7.3-1~),
